@echo off
setlocal

if not exist test\ (
REM setup input directory.
adpack -unpack -nocheck -in test.zip -force -silent
if errorlevel 1 (goto ERROR)
echo.
echo ** setup input test directory.
)

echo.
echo ^> adpack -pack -in test -out testTst.zip -force -post sample\\tst_get.bat -list
echo.
echo # -in test                  : input directory is "test".
echo # -out testTst.zip          : output zip file is "testTst.zip".
echo # -post sample\\tst_get.bat : post execute for get timestamp.
echo # -force                    : overwrite output zip file.
echo # -list                     : show all zipped file names.
echo.
echo ---(execute adpack)------------------
echo.

adpack -pack -in test -out testTst.zip -force -post sample\\tst_get.bat -list
if errorlevel 1 (goto ERROR)

echo.
echo ---(end adpack)----------------------
echo.
echo # test_pack_timestamp.bat done.
@echo off
endlocal
exit /b 0

:ERROR
echo.
echo ---(error adpack)--------------------
echo.
echo # test_pack_timestamp.bat error exit.
@echo off
endlocal
exit /b 1

